org.bdgenomics.adam.cli

# TransformAlignments

#### class TransformAlignments extends BDGSparkCommand[TransformAlignmentsArgs] with Logging

Linear Supertypes
BDGSparkCommand[TransformAlignmentsArgs], Logging, BDGCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransformAlignments
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformAlignments(args: TransformAlignmentsArgs)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(rdd: AlignmentRecordRDD): AlignmentRecordRDD

7. #### val args: TransformAlignmentsArgs

   Attributes
     protected
   Definition Classes
     TransformAlignments → BDGSparkCommand

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### val companion: TransformAlignments.type

    Definition Classes
      TransformAlignments → BDGCommand

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def forceNonParquet(): Boolean

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      BDGSparkCommand

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isNonParquet(inputPath: String): Boolean

20. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

21. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

32. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

33. #### def maybeMdTag(sc: SparkContext, rdd: AlignmentRecordRDD, stringencyOpt: Option[ValidationStringency]): AlignmentRecordRDD

    rdd

      The RDD of reads that was output by maybeSort.

    stringencyOpt

      An optional validation stringency.

    returns

      If -add_md_tags is set, recomputes the MD tags for the reads provided. If some reads have tags, -md_tag_overwrite controls whether these tags are recomputed or not. If MD tagging isn't requested, we return the input RDD.

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      BDGSparkCommand

38. #### def run(sc: SparkContext): Unit

    Definition Classes
      TransformAlignments → BDGSparkCommand

39. #### def run(): Unit

    Definition Classes
      BDGSparkCommand → Runnable

40. #### val stringency: ValidationStringency

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BDGSparkCommand[TransformAlignmentsArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped